package de.ozgcloud.alfa.hint;

import static org.springframework.hateoas.server.mvc.WebMvcLinkBuilder.*;

import java.util.List;

import org.springframework.hateoas.CollectionModel;
import org.springframework.hateoas.EntityModel;
import org.springframework.hateoas.Link;
import org.springframework.hateoas.server.RepresentationModelAssembler;
import org.springframework.stereotype.Component;

import de.ozgcloud.alfa.common.ModelBuilder;

@Component
class HintModelAssembler implements RepresentationModelAssembler<Hint, EntityModel<Hint>> {

	public CollectionModel<EntityModel<Hint>> toCollectionModel(List<Hint> entities) {
		return CollectionModel.of(entities.stream().map(this::toModel).toList(), linkTo(HintController.class).withSelfRel());
	}

	@Override
	public EntityModel<Hint> toModel(Hint hint) {
		return ModelBuilder.fromEntity(hint).addLink(buildSelfLink(hint)).buildModel();
	}

	private Link buildSelfLink(Hint hint) {
		return linkTo(HintController.class).slash(String.format("/%s", hint.getCode())).withSelfRel();
	}
}