package de.ozgcloud.alfa.hint;

import static org.springframework.hateoas.server.mvc.WebMvcLinkBuilder.*;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.hateoas.EntityModel;
import org.springframework.hateoas.server.RepresentationModelProcessor;
import org.springframework.stereotype.Component;

import de.ozgcloud.alfa.Root;
import de.ozgcloud.alfa.common.ModelBuilder;

@Component
class HintRootResourceProzessor implements RepresentationModelProcessor<EntityModel<? extends Root>> {

	static final String HINTS_RELATION = "hints";

	@Autowired
	private HintService service;

	@Override
	public EntityModel<? extends Root> process(EntityModel<? extends Root> model) {
		return ModelBuilder.fromModel(model)
				.ifMatch(service::hasHints)
				.addLink(linkTo(HintController.class).withRel(HINTS_RELATION))
				.buildModel();
	}
}