package de.ozgcloud.alfa.postfach;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import de.ozgcloud.alfa.common.command.CommandBody;
import de.ozgcloud.alfa.vorgang.VorgangWithEingang;

@Component
class PostfachNachrichtHelper {

	@Autowired
	private PostfachMailMapper mapper;

	public CommandBody addPostfachAddressToBody(PostfachMail nachricht, VorgangWithEingang vorgang) {
		return addPostfachAddress(nachricht, getPostfachAddress(vorgang));
	}

	private PostfachAddress getPostfachAddress(VorgangWithEingang vorgang) {
		return vorgang.getHeader().getServiceKonto().getPostfachAddresses().get(0);
	}

	private PostfachMail addPostfachAddress(PostfachMail nachricht, PostfachAddress postfachAddress) {
		return nachricht.toBuilder().postfachAddress(mapper.mapPostfachAddressToMap(postfachAddress)).build();
	}
}