package de.ozgcloud.alfa.statistic;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class StatisticController {

	@Autowired
	private StatisticService statisticService;

	public Statistic getVorgaengeStatistic() {
		var countStatistic = statisticService.countVorgang();
		var statistic = statisticService.getVorgaengeStatistic();
		return Statistic.builder()
				.existsWiedervorlageOverdue(statistic.isExistsWiedervorlageOverdue())
				.wiedervorlagen(countStatistic.getWiedervorlagen())
				.byStatus(ByStatus.builder()
						.verworfen(countStatistic.getByStatus().getVerworfen())
						.inBearbeitung(countStatistic.getByStatus().getInBearbeitung())
						.angenommen(countStatistic.getByStatus().getAngenommen())
						.beschieden(countStatistic.getByStatus().getBeschieden())
						.neu(countStatistic.getByStatus().getNeu())
						.abgeschlossen(countStatistic.getByStatus().getAbgeschlossen())
						.zuLoeschen(statistic.getByStatus().getZuLoeschen())
						.build())
				.build();
	}
}
