package de.ozgcloud.alfa.postfach;

import java.util.Map;
import java.util.UUID;

public class PostfachAddressTestFactory {

	public final static int TYPE = 1;

	public final static String STRING_BASED_IDENTIFIER_POSTFACH_ID = UUID.randomUUID().toString();
	public final static Map<String, Object> IDENTIFIER = Map.of(PostfachAddress.IDENTIFIER_POSTFACH_ID_FIELD, STRING_BASED_IDENTIFIER_POSTFACH_ID);

	public static final String VERSION = "1.0";

	public static PostfachAddress create() {
		return createBuilder().build();
	}

	public static PostfachAddress.PostfachAddressBuilder createBuilder() {
		return PostfachAddress.builder()
				.type(TYPE)
				.identifier(IDENTIFIER)
				.version(VERSION);
	}

	public static Map<String, Object> createAsMap() {
		return Map.of(PostfachAddress.TYPE_FIELD, TYPE,
				PostfachAddress.VERSION_FIELD, VERSION,
				PostfachAddress.IDENTIFIER_FIELD, createIdentifierMap());
	}

	private static Map<String, Object> createIdentifierMap() {
		return Map.of(PostfachAddress.IDENTIFIER_POSTFACH_ID_FIELD, STRING_BASED_IDENTIFIER_POSTFACH_ID);
	}
}