package de.ozgcloud.alfa.vorgang;

import java.util.List;
import java.util.Optional;

import de.ozgcloud.alfa.common.user.UserProfileTestFactory;
import de.ozgcloud.alfa.vorgang.Vorgang.VorgangStatus;

public class FilterCriteriaTestFactory {

	public static final boolean FILTER_BY_ORGANISATIONS_EINHEITEN_ID = true;
	public static final boolean FILTER_BY_ASSIGNED_TO = true;

	public static final VorgangStatus VORGANG_STATUS = VorgangStatus.NEU;
	public static final String ORGANISATIONS_EINHEIT_ID = ZustaendigeStelleTestFactory.ORGANISATIONSEINHEITEN_ID;

	public static final boolean HAS_NEXT_WIEDERVORLAGE_FRIST = false;

	public static FilterCriteria create() {
		return createBuilder().build();
	}

	public static FilterCriteria.FilterCriteriaBuilder createBuilder() {
		return FilterCriteria.builder()
				.filterByOrganisationseinheitenId(FILTER_BY_ORGANISATIONS_EINHEITEN_ID)
				.status(Optional.of(VORGANG_STATUS))
				.filterByAssignedTo(FILTER_BY_ASSIGNED_TO)
				.assignedTo(Optional.of(UserProfileTestFactory.ID))
				.organisationsEinheitenId(List.of(ORGANISATIONS_EINHEIT_ID))
				.hasNextWiedervorlageFrist(HAS_NEXT_WIEDERVORLAGE_FRIST);
	}
}
