/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.vorgang;

import de.itvsh.ozg.pluto.vorgang.GrpcFormField;
import de.itvsh.ozg.pluto.vorgang.GrpcSubForm;

public class GrpcSubFormTestFactory {

	public static final String TITLE = "person";

	public static final String FIELD_NAME = EingangTestFactory.SINGLE_FIELD_NAME;
	public static final String FIELD_VALUE = EingangTestFactory.SINGLE_FIELD_VALUE;

	public static final String SUBFORM_NAME = EingangTestFactory.SUBFORM_NAME;
	public static final String SUBFORM_FIELD_NAME = EingangTestFactory.SUBFORM_FIELD_NAME;
	public static final String SUBFORM_FIELD_VALUE = EingangTestFactory.SUBFORM_FIELD_VALUE;

	public static GrpcSubForm create() {
		return createBuilder().build();
	}

	public static GrpcSubForm.Builder createBuilder() {
		return GrpcSubForm.newBuilder()
				.setTitle(TITLE)
				.addField(GrpcFormField.newBuilder().setName(FIELD_NAME).setValue(FIELD_VALUE).build())
				.addSubForm(GrpcSubForm.newBuilder().setTitle(SUBFORM_NAME).addField(
						GrpcFormField.newBuilder().setName(SUBFORM_FIELD_NAME).setValue(SUBFORM_FIELD_VALUE).build()));
	}
}
