/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.vorgang;

import de.itvsh.kop.common.test.TestUtils;
import de.ozgcloud.alfa.common.command.CreateCommand;
import de.ozgcloud.alfa.vorgang.forwarding.RedirectRequest;

public class RedirectRequestTestFactory {

	public static final String EMAIL = "test@ozg-sh.de";
	public static final String PASSWORD_AS_STR = "ValidesPassword";
	public static final char[] PASSWORD = PASSWORD_AS_STR.toCharArray();

	public static RedirectRequest create() {
		return createBuilder().build();
	}

	public static RedirectRequest.RedirectRequestBuilder createBuilder() {
		return RedirectRequest.builder()
				.email(EMAIL)
				.password(PASSWORD);
	}

	public static String createRedirectRequestContent(CreateCommand command) {
		return TestUtils.loadTextFile("jsonTemplates/command/createCommandWithRedirectRequest.json.tmpl",
				command.getOrder().name(),
				TestUtils.addQuote(command.getRedirectRequest().getEmail()),
				TestUtils.addQuote(String.valueOf(command.getRedirectRequest().getPassword())));
	}
}