package de.ozgcloud.alfa.export;

import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.Locale;
import java.util.Optional;

import javax.xml.datatype.DatatypeConfigurationException;
import javax.xml.datatype.DatatypeFactory;
import javax.xml.datatype.XMLGregorianCalendar;

import org.springframework.stereotype.Component;

import de.itvsh.kop.common.errorhandling.TechnicalException;

@Component
class DateConverter {

	private static final DateTimeFormatter DATE_TIME_FORMATTER = DateTimeFormatter.ofPattern("dd.MM.yyyy", Locale.GERMAN);

	public Optional<XMLGregorianCalendar> convertGermanFormatToISO(String dateStr) {
		try {
			return Optional.of(DatatypeFactory.newInstance().newXMLGregorianCalendar(LocalDate.parse(dateStr, DATE_TIME_FORMATTER).toString()));
		} catch (DatatypeConfigurationException e) {
			throw new TechnicalException(String.format("Error converting date %s to ISO.", dateStr), e);
		} catch (Exception e) {
			return Optional.empty();
		}
	}
}
