package de.ozgcloud.alfa.export;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import de.ozgcloud.alfa.common.file.OzgFile;
import de.ozgcloud.alfa.vorgang.VorgangWithEingang;
import de.xoev.xdomea.FormatType;

@Component
class FormatTypeCreator {

	@Autowired
	private PrimaerdokumentTypeCreator primaerdokumentTypeCreator;

	public FormatType create(VorgangWithEingang vorgang, OzgFile ozgFile) {
		var format = new FormatType();
		format.setPrimaerdokument(primaerdokumentTypeCreator.create(vorgang, ozgFile));
		format.setName(DateiformatCode.PDF.createDateiformatCodeType());
		format.setSonstigerName(StringUtils.EMPTY);
		format.setVersion(StringUtils.EMPTY);
		return format;
	}
}
