package de.ozgcloud.alfa.export;

import java.util.stream.Stream;

import de.ozgcloud.alfa.common.file.OzgFile;
import de.ozgcloud.alfa.common.file.OzgFileTestFactory;
import de.ozgcloud.alfa.vorgang.VorgangWithEingang;
import de.ozgcloud.alfa.vorgang.VorgangWithEingangTestFactory;

class ExportDataTestFactory {

	public static final String EXPORT_FILENAME = "file.zip";
	public static final String XML_FILE_CONTENT = "<xml></xml>";
	public static final OzgFile OZG_FILE = OzgFileTestFactory.create();
	public static final VorgangWithEingang VORGANG = VorgangWithEingangTestFactory.create();

	public static ExportData create() {
		return createBuilder().build();
	}

	public static ExportData.ExportDataBuilder createBuilder() {
		return ExportData.builder().exportFilename(EXPORT_FILENAME).xmlFileContent(XML_FILE_CONTENT).vorgang(VORGANG)
				.exportFiles(Stream.of(OZG_FILE));
	}
}
