import { Injectable } from '@angular/core';
import { CommandResource, CreateCommand } from '@goofy-client/command-shared';
import { StateResource } from '@goofy-client/tech-shared';
import { VorgangWithEingangLinkRel, VorgangWithEingangResource } from '@goofy-client/vorgang-shared';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';

import * as CommandActions from '../../../../command-shared/src/lib/+state/command.actions';
import * as BescheidSelectors from './bescheid.selectors';

@Injectable()
export class BescheidFacade {

	constructor(private store: Store) { }

	public getBescheidCommand(): Observable<StateResource<CommandResource>> {
		return this.store.select(BescheidSelectors.bescheidCommand);
	}

	public createBescheid(vorgangWithEingang: VorgangWithEingangResource, command: CreateCommand): void {
		this.store.dispatch(CommandActions.createCommand({ resource: vorgangWithEingang, linkRel: VorgangWithEingangLinkRel.CREATE_BESCHEID, command }))
	}
}