import { CommandOrder, CommandResource } from '@goofy-client/command-shared';
import { VorgangWithEingangLinkRel, VorgangWithEingangResource } from '@goofy-client/vorgang-shared';
import { Action } from '@ngrx/store';
import { createCommandResource } from 'libs/command-shared/test/command';
import { createVorgangWithEingangResource } from 'libs/vorgang-shared/test/vorgang';
import { BescheidState, initialState, reducer } from './bescheid.reducer';

import * as CommandActions from '../../../../command-shared/src/lib/+state/command.actions';

describe('Bescheid Reducer', () => {

	describe('unknown action', () => {

		it('should return current state', () => {
			const action: Action = {} as Action;

			const result = reducer(initialState, action);

			expect(result).toBe(initialState);
		})
	})

	describe('bescheidCommand', () => {

		describe('on "createCommand" action', () => {

			it('should set resource loading', () => {
				const resource: VorgangWithEingangResource = createVorgangWithEingangResource();
				const action: Action = CommandActions.createCommand({ resource, linkRel: VorgangWithEingangLinkRel.CREATE_BESCHEID, command: { ...createCommandResource(), order: CommandOrder.CREATE_BESCHEID } });

				const state: BescheidState = reducer(initialState, action);

				expect(state.bescheidCommand.loading).toBeTruthy();
			})
		})

		describe('on "createCommandSuccess" action', () => {

			it('should set resource', () => {
				const command: CommandResource = { ...createCommandResource(), order: CommandOrder.CREATE_BESCHEID };
				const action: Action = CommandActions.createCommandSuccess({ command });

				const state: BescheidState = reducer(initialState, action);

				expect(state.bescheidCommand.resource).toBe(command);
			})
		})
	})
})