import { StateResource, createStateResource } from '@goofy-client/tech-shared';
import { createBinaryFileListResource, createBinaryFileResource } from 'libs/binary-file-shared/test/binary-file';
import { BinaryFileListResource, BinaryFileResource } from './binary-file.model';
import { getBinaryFiles } from './binary-file.util';

describe('BinaryFile Util', () => {

	describe('getBinaryFiles', () => {

		it('should extract resource', () => {
			const binaryFileResources: BinaryFileResource[] = [createBinaryFileResource()];
			const binaryFileListStateResource: StateResource<BinaryFileListResource> = createStateResource(createBinaryFileListResource(binaryFileResources));

			const resources: BinaryFileResource[] = getBinaryFiles(binaryFileListStateResource);

			expect(resources).toEqual(binaryFileResources);
		})
	})
})