/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { CommandSharedModule } from '@goofy-client/command-shared';
import { HistorieSharedModule } from '@goofy-client/historie-shared';
import { TechSharedModule } from '@goofy-client/tech-shared';
import { UiModule } from '@goofy-client/ui';
import { UserProfileModule } from '@goofy-client/user-profile';
import { HistorieContainerComponent } from './historie-container/historie-container.component';
import { ExpansionPanelWithUserComponent } from './historie-container/historie-list/expansion-panel-with-user/expansion-panel-with-user.component';
import { HistorieItemAssignUserContainerComponent } from './historie-container/historie-list/historie-item-assign-user-container/historie-item-assign-user-container.component';
import { HistorieItemAssignUserComponent } from './historie-container/historie-list/historie-item-assign-user-container/historie-item-assign-user/historie-item-assign-user.component';
import { HistorieItemAttachmentComponent } from './historie-container/historie-list/historie-item-attachment/historie-item-attachment.component';
import { HistorieItemForwardingComponent } from './historie-container/historie-list/historie-item-forwarding/historie-item-forwarding.component';
import { HistorieItemHeaderComponent } from './historie-container/historie-list/historie-item-header/historie-item-header.component';
import { HistorieItemKommentarComponent } from './historie-container/historie-list/historie-item-kommentar/historie-item-kommentar.component';
import { HistorieItemLoeschAnforderungComponent } from "./historie-container/historie-list/historie-item-loesch-anforderung/historie-item-loesch-anforderung.component";
import { HistorieItemPostfachNachrichtComponent } from './historie-container/historie-list/historie-item-postfach-nachricht/historie-item-postfach-nachricht.component';
import { HistorieItemUnknownComponent } from './historie-container/historie-list/historie-item-unknown/historie-item-unknown.component';
import { HistorieItemVorgangCreatedComponent } from './historie-container/historie-list/historie-item-vorgang-created/historie-item-vorgang-created.component';
import { HistorieItemVorgangStatusComponent } from './historie-container/historie-list/historie-item-vorgang-status/historie-item-vorgang-status.component';
import { HistorieItemWiedervorlageStatusComponent } from './historie-container/historie-list/historie-item-wiedervorlage/historie-item-wiedervorlage-status/historie-item-wiedervorlage-status.component';
import { HistorieItemWiedervorlageComponent } from './historie-container/historie-list/historie-item-wiedervorlage/historie-item-wiedervorlage.component';
import { HistorieListItemComponent } from './historie-container/historie-list/historie-list-item/historie-list-item.component';
import { HistorieListComponent } from './historie-container/historie-list/historie-list.component';

@NgModule({
	imports: [
		CommonModule,
		TechSharedModule,
		HistorieSharedModule,
		UserProfileModule,
		UiModule,
		CommandSharedModule,
	],
	declarations: [
		HistorieContainerComponent,
		HistorieListComponent,
		HistorieListItemComponent,
		HistorieItemVorgangCreatedComponent,
		HistorieItemKommentarComponent,
		ExpansionPanelWithUserComponent,
		HistorieItemWiedervorlageComponent,
		HistorieItemHeaderComponent,
		HistorieItemVorgangStatusComponent,
		HistorieItemUnknownComponent,
		HistorieItemPostfachNachrichtComponent,
		HistorieItemForwardingComponent,
		HistorieItemAssignUserComponent,
		HistorieItemAssignUserContainerComponent,
		HistorieItemWiedervorlageStatusComponent,
		HistorieItemAttachmentComponent,
		HistorieItemLoeschAnforderungComponent,
	],
	exports: [HistorieContainerComponent],
})
export class HistorieModule {}
