import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { VorgangSharedModule } from '@goofy-client/vorgang-shared';
import { EffectsModule } from '@ngrx/effects';
import { StoreModule } from '@ngrx/store';
import { LoeschAnforderungEffects } from './+state/loesch-anforderung.effects';
import { LoeschAnforderungFacade } from './+state/loesch-anforderung.facade';
import { LOESCH_ANFORDERUNG_FEATURE_KEY, reducer } from './+state/loesch-anforderung.reducer';
import { LoeschAnforderungRepository } from './+state/loesch-anforderung.repository';
import { LoeschAnforderungService } from './loesch-anforderung.service';

@NgModule({
	imports: [
		CommonModule,
		StoreModule.forFeature(LOESCH_ANFORDERUNG_FEATURE_KEY, reducer),
		EffectsModule.forFeature([LoeschAnforderungEffects]),
		VorgangSharedModule
	],
	providers: [LoeschAnforderungFacade, LoeschAnforderungService, LoeschAnforderungRepository],
})
export class LoeschAnforderungSharedModule { }