import { CommandOrder, CreateCommand } from '@goofy-client/command-shared';
import { createLoeschAnforderungZuruecknehmenCommand, createVorgangLoeschenCommand, createVorgangZumLoeschenMarkierenCommand, isLoeschAnforderungZuruecknehmen, isVorgangLoeschenCommand } from './loesch-anforderung.util';

describe('LoeschAnforderungUtil', () => {

	describe('create LoeschenAnfordernCommand', () => {

		it('should return command', () => {
			const command: CreateCommand = createVorgangZumLoeschenMarkierenCommand();

			expect(command.order).toBe(CommandOrder.VORGANG_ZUM_LOESCHEN_MARKIEREN);
		})
	})

	describe('create EndgueltigLoeschenCommand', () => {

		it('should return command', () => {
			const command: CreateCommand = createVorgangLoeschenCommand();

			expect(command.order).toBe(CommandOrder.VORGANG_LOESCHEN);
		})
	})

	describe('isVorgangLoeschenCommand', () => {

		it('should return true on VORGANG_LOESCHEN order', () => {
			const isCommand: boolean = isVorgangLoeschenCommand(CommandOrder.VORGANG_LOESCHEN);

			expect(isCommand).toBeTruthy();
		})

		it('should return true on other order', () => {
			const isCommand: boolean = isVorgangLoeschenCommand(CommandOrder.CREATE_KOMMENTAR);

			expect(isCommand).toBeFalsy();
		})
	})

	describe('createLoeschAnforderungZuruecknehmenCommand', () => {

		it('should return command', () => {
			const command: CreateCommand = createLoeschAnforderungZuruecknehmenCommand();

			expect(command.order).toBe(CommandOrder.LOESCH_ANFORDERUNG_ZURUECKNEHMEN);
		})
	})

	describe('isLoeschAnforderungZuruecknehmen', () => {

		it('should return true', () => {
			const result: boolean = isLoeschAnforderungZuruecknehmen(CommandOrder.LOESCH_ANFORDERUNG_ZURUECKNEHMEN);

			expect(result).toBeTruthy();
		})

		it('should return false', () => {
			const result: boolean = isLoeschAnforderungZuruecknehmen(CommandOrder.EDIT_KOMMENTAR);

			expect(result).toBeFalsy();
		})
	})
})