import { faker } from '@faker-js/faker';
import { toResource } from '../../tech-shared/test/resource';
import { VorgangStatus } from '../../vorgang-shared/src/lib/vorgang.model';
import { LoeschAnforderung, LoeschAnforderungResource } from '../src/lib/loesch-anforderung.model';

export function createLoeschAnforderung(): LoeschAnforderung {
	return {
		requestedBy: faker.internet.url(),
		prevStatus: faker.helpers.arrayElement([VorgangStatus.ABGESCHLOSSEN, VorgangStatus.VERWORFEN]),
	}
}

export function createLoeschAnforderungResource(linkRelations: string[] = []): LoeschAnforderungResource {
	return toResource(createLoeschAnforderung(), linkRelations);
}