import { Component, Input, OnInit } from '@angular/core';
import { CommandResource } from '@goofy-client/command-shared';
import { LoeschAnforderungService } from '@goofy-client/loesch-anforderung-shared';
import { StateResource, createEmptyStateResource } from '@goofy-client/tech-shared';
import { VorgangWithEingangLinkRel, VorgangWithEingangResource } from '@goofy-client/vorgang-shared';
import { Observable, of } from 'rxjs';

@Component({
	selector: 'goofy-client-loeschen-anfordern-button-container',
	templateUrl: './loeschen-anfordern-button-container.component.html',
	styleUrls: ['./loeschen-anfordern-button-container.component.scss'],
})
export class LoeschenAnfordernButtonContainerComponent implements OnInit {

	@Input() vorgang: VorgangWithEingangResource;
	@Input() showAsIconButton: boolean = false;

	loeschenAnfordernCommand$: Observable<StateResource<CommandResource>> = of(createEmptyStateResource<CommandResource>());

	readonly linkRel = VorgangWithEingangLinkRel;

	constructor(private loeschAnforderungService: LoeschAnforderungService) { }

	ngOnInit(): void {
		this.loeschenAnfordernCommand$ = this.loeschAnforderungService.getLoeschenAnfordernCommand();
	}

	public loeschenAnfordern(): void {
		this.loeschAnforderungService.loeschenAnfordern(this.vorgang);
	}
}
