/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { Component, EventEmitter, Input, Output } from '@angular/core';
import { CommandResource } from '@goofy-client/command-shared';
import { PostfachMailListLinkRel, PostfachMailListResource } from '@goofy-client/postfach-shared';
import { createEmptyStateResource, StateResource } from '@goofy-client/tech-shared';
import { CommandLinkRel } from 'libs/command-shared/src/lib/command.linkrel';

@Component({
	selector: 'goofy-client-postfach-mail-button',
	templateUrl: './postfach-mail-button.component.html',
	styleUrls: ['./postfach-mail-button.component.scss']
})
export class PostfachMailButtonComponent {

	@Input() showAsIconButton: boolean;
	@Input() postfachMailListStateResource: StateResource<PostfachMailListResource> = createEmptyStateResource<PostfachMailListResource>();
	@Input() pendingSendPostfachMailCommand: StateResource<CommandResource> = createEmptyStateResource<CommandResource>();
	@Input() text: string;
	@Input() toolTip: string;

	@Output() openPostfachNachrichtenDialog: EventEmitter<void> = new EventEmitter();

	readonly commandLinkRel = CommandLinkRel;
	readonly postfachMailListLinkRel = PostfachMailListLinkRel;
}