import faker from '@faker-js/faker';
import { Resource } from '@ngxp/rest';
import { GetUrlPipe } from './get-url.pipe';

describe('GetUrlPipe', () => {

	const selfLink: string = 'self';
	const url: string = faker.internet.url();
	const resource: Resource = {
		_links: {
			self: {
				href: url
			}
		}
	}
	const pipe: GetUrlPipe = new GetUrlPipe();

	it('should return resource url', () => {
		const result: string = pipe.transform(resource, selfLink);

		expect(result).toBe(url);
	})
})