/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
export enum ValidationMessageCode {
	VALIDATION_FIELD_FILE_SIZE_EXCEEDED = 'validation_field_file_size_exceeded',
	VALIDATION_FIELD_EMPTY = 'validation_field_empty',
}

export const VALIDATION_MESSAGES: { [code: string]: string } = {
	[ValidationMessageCode.VALIDATION_FIELD_EMPTY]: 'Bitte {field} ausfüllen',
	validation_field_max_size: '{field} darf höchstens {max} Zeichen enthalten',
	validation_field_min_size: '{field} muss aus mindestens {min} Zeichen bestehen',
	validation_field_size: '{field} muss mindestens {min} und darf höchstens {max} Zeichen enthalten',
	validation_field_date_past: 'Das Datum für {field} muss in der Zukunft liegen',
	validation_field_invalid: 'Bitte {field} korrekt ausfüllen',
	[ValidationMessageCode.VALIDATION_FIELD_FILE_SIZE_EXCEEDED]: 'Anhänge größer {max}{unit} können nicht hinzugefügt werden.',

	fe_only_validation_bearbeiter_not_exist: 'Der Bearbeiter existiert nicht'
}
