/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MatIcon } from '@angular/material/icon';
import { dispatchEventFromFixture, mock } from '@goofy-client/test-utils';
import { getDataTestIdOf } from 'libs/tech-shared/test/data-test';
import { EventEmitter } from 'stream';
import { SnackbarCloseButtonComponent } from './snackbar-close-button.component';

describe('SnackbarCloseButtonComponent', () => {
	let component: SnackbarCloseButtonComponent;
	let fixture: ComponentFixture<SnackbarCloseButtonComponent>;

	const closeButton: string = getDataTestIdOf('snackbar-close-button');

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				MatIcon,
				SnackbarCloseButtonComponent
			]
		}).compileComponents();
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(SnackbarCloseButtonComponent);
		component = fixture.componentInstance;
		component.close = { ...<any>mock(EventEmitter), emit: jest.fn() };
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	it('click should emit action', () => {
		dispatchEventFromFixture(fixture, closeButton, 'click');

		expect(component.close.emit).toHaveBeenCalled();
	})
});
