/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ApiRootFacade } from '@goofy-client/api-root-shared';
import { mock } from '@goofy-client/test-utils';
import { MockComponent } from 'ng-mocks';
import { VorgangFilterMenuContainerComponent } from './vorgang-filter-menu-container.component';
import { VorgangFilterMenuComponent } from './vorgang-filter-menu/vorgang-filter-menu.component';

describe('VorgangFilterMenuContainerComponent', () => {
	let component: VorgangFilterMenuContainerComponent;
	let fixture: ComponentFixture<VorgangFilterMenuContainerComponent>;

	const apiRootFacade = mock(ApiRootFacade);

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				VorgangFilterMenuContainerComponent,
				MockComponent(VorgangFilterMenuComponent),
			],
			providers: [
				{
					provide: ApiRootFacade,
					useValue: apiRootFacade
				}
			],
		}).compileComponents();
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(VorgangFilterMenuContainerComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	describe('ngOnInit', () => {

		it('should call api root service', () => {
			component.ngOnInit();

			expect(apiRootFacade.getApiRoot).toHaveBeenCalled();
		});
	})
});
