package de.ozgcloud.alfa.logging;

import org.aspectj.lang.annotation.Pointcut;

public class AlfaAspectPointcuts {

	@Pointcut("execution(public * *(..))")
	void anyPublicMethods() {
		// aspect pointcut - no implementation needed
	}

	@Pointcut("within(de.ozgcloud..*)")
	void anythingInOzgCloud() {
		// aspect pointcut - no implementation needed
	}

	@Pointcut("anyPublicMethods() && anythingInOzgCloud()")
	void anyPublicMethodInOzgCloud() {
		// aspect pointcut - no implementation needed
	}

	@Pointcut("anyPublicMethodInOzgCloud() && @target(org.springframework.stereotype.Service)")
	void anyPublicServiceMethod() {
		// aspect pointcut - no implementation needed
	}

	@Pointcut("anyPublicMethodInOzgCloud() && @target(org.springframework.web.bind.annotation.RestController)")
	void anyPublicRestControllerMethod() {
		// aspect pointcut - no implementation needed
	}
}
